<?php
	/***************************************************************************\
	* phpGroupWare - FeLaMiMail                                                 *
	* http://www.linux-at-work.de                                               *
	* http://www.phpgw.de                                                       *
	* http://www.phpgroupware.org                                               *
	* Written by : Lars Kneschke [lkneschke@linux-at-work.de]                   *
	* -------------------------------------------------                         *
	* This program is free software; you can redistribute it and/or modify it   *
	* under the terms of the GNU General Public License as published by the     *
	* Free Software Foundation; either version 2 of the License, or (at your    *
	* option) any later version.                                                *
	\***************************************************************************/
	/* $Id: class.uifilter.inc.php,v 1.1.2.2 2002/06/20 12:46:27 lkneschke Exp $ */

	class uifilter
	{

		var $public_functions = array
		(
			'mainScreen'	=> 'True',
			'saveFilter'	=> 'True'
		);

		function uifilter()
		{
			
			// get posted variables
			$this->urlMailbox	= urldecode($GLOBALS['HTTP_GET_VARS']['mailbox']);
			$this->startMessage	= $GLOBALS['HTTP_GET_VARS']['startMessage'];
			$this->sort		= $GLOBALS['HTTP_GET_VARS']['sort'];
			
			$this->bofelamimail	= CreateObject('felamimail.bofelamimail',$this->urlMailbox);
			$this->sessionData	= $this->bofelamimail->sessionData;

			$this->t = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
			$this->t->set_unknowns('remove');
			
			$this->rowColor[0] = $GLOBALS['phpgw_info']["theme"]["bg01"];
			$this->rowColor[1] = $GLOBALS['phpgw_info']["theme"]["bg02"];

		}
		
		function display_app_header()
		{
			$GLOBALS['phpgw']->common->phpgw_header();
			echo parse_navbar();
		}

		function mainScreen()
		{
			// display the header
			$this->display_app_header();
			
			// initialize the template
			$this->t->set_file(array("filterForm" => "filterForm.tpl"));
			$this->t->set_block('filterForm','header');
			#$this->t->set_block('composeForm','');
			
			// translate most of the parts
			$this->translate();
			
			#link_action
			
                        // set the default values for the sort links (sort by url)
                        $linkData = array
                        (
                                'mailbox'       => urlencode($this->urlMailbox),
                                'menuaction'    => 'felamimail.uifilter.saveFilter',
                                'startMessage'  => 1,
                                'sort'          => $this->sort
                        );
			$this->t->set_var('link_action',$GLOBALS['phpgw']->link('/index.php',$linkData));

			$this->t->set_var("from",$this->sessionData['filter']['from']);
			$this->t->set_var("to",$this->sessionData['filter']['to']);
			$this->t->set_var("subject",$this->sessionData['filter']['subject']);
			if($this->sessionData['filter']['filterActive'] == "true")
			{
				$this->t->set_var("filter_checked","checked");
			}
			
			$this->t->pparse("out","header");
		}
		
		function saveFilter()
		{
			$formData['from']		= $GLOBALS['HTTP_POST_VARS']['from'];
			$formData['to']			= $GLOBALS['HTTP_POST_VARS']['to'];
			$formData['subject']		= $GLOBALS['HTTP_POST_VARS']['subject'];
			if($GLOBALS['HTTP_POST_VARS']['filter_active'] == "on")
			{
				$formData['filterActive']	= "true";
			}

			$this->bofelamimail->saveFilter($formData);
			
			$linkData = array
			(
				'mailbox'	=> urlencode($this->urlMailbox),
				'sort'          => $this->sort,
				'startMessage'	=> '1'
			);
			$link = $GLOBALS['phpgw']->link('/felamimail/index.php',$linkData);
			$GLOBALS['phpgw']->redirect($link);
			$GLOBALS['phpgw']->common->phpgw_exit();
			break;
			
		}
		
		function translate()
		{
			$this->t->set_var("lang_message_list",lang('Message List'));
			$this->t->set_var("lang_from",lang('from'));
			$this->t->set_var("lang_to",lang('to'));
			$this->t->set_var("lang_subject",lang('subject'));
			$this->t->set_var("lang_filter_active",lang('filter active'));

			$this->t->set_var("bg01",$GLOBALS['phpgw_info']["theme"]["bg01"]);
			$this->t->set_var("bg02",$GLOBALS['phpgw_info']["theme"]["bg02"]);
			$this->t->set_var("bg03",$GLOBALS['phpgw_info']["theme"]["bg03"]);
		}
}